# Retrieve Webhook Event

> GET /webhooks/:id/events/:event_id — one event, with the payload that was sent.

`GET /webhooks/:id/events/:event_id`

Reads one event sent to a webhook endpoint. It has the same fields as in the list, plus `payload`: the exact JSON body SendDart posted. Use it to see what your handler was given when something went wrong.

> **Note:** Needs an API key with read access.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | Yes | The webhook id. |
| `event_id` | string | Yes | The event id (`msg_…`), the same value as the `svix-id` header. |

**Node.js**

```js
const res = await fetch('https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1', {
  method: 'GET',
  headers: { 'Authorization': 'Bearer mb_xxxxxxxxx' },
});
const data = await res.json();
console.log(data);
```

**Ruby**

```ruby
require 'net/http'
require 'uri'

uri = URI('https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer mb_xxxxxxxxx'
res = http.request(req)
puts res.body
```

**PHP**

```php
<?php
$ch = curl_init('https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer mb_xxxxxxxxx',
        'User-Agent: my-app/1.0',
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
```

**Python**

```python
import requests

res = requests.get(
    "https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1",
    headers={"Authorization": "Bearer mb_xxxxxxxxx"},
)
print(res.json())
```

**Go**

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1", nil)
    req.Header.Set("Authorization", "Bearer mb_xxxxxxxxx")
    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    out, _ := io.ReadAll(res.Body)
    fmt.Println(string(out))
}
```

**Rust**

```rust
use reqwest::Client;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let res = Client::new()
        .get("https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1")
        .header("Authorization", "Bearer mb_xxxxxxxxx")
        .header("User-Agent", "my-app/1.0")
        .send()
        .await?;
    println!("{}", res.text().await?);
    Ok(())
}
```

**Java**

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

var client = HttpClient.newHttpClient();
var request = HttpRequest.newBuilder()
    .uri(URI.create("https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1"))
    .header("Authorization", "Bearer mb_xxxxxxxxx")
    .header("User-Agent", "my-app/1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
var response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

**.NET**

```csharp
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1");
request.Headers.Add("Authorization", "Bearer mb_xxxxxxxxx");
request.Headers.Add("User-Agent", "my-app/1.0");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
```

**cURL**

```bash
curl -X GET 'https://www.senddart.com/api/webhooks/17/events/msg_5c1e9a0f3b7d2e84a6c1' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

### Response

```json
{
  "object": "webhook_event",
  "id": "msg_5c1e9a0f3b7d2e84a6c1",
  "webhook_id": "17",
  "type": "email.delivered",
  "status": "delivered",
  "attempts": 1,
  "response_status": 200,
  "error": null,
  "created_at": "2026-11-21T10:15:32.118Z",
  "last_attempt_at": "2026-11-21T10:15:32.118Z",
  "payload": {
    "type": "email.delivered",
    "created_at": "2026-11-21T10:15:32.118Z",
    "data": { "email_id": "4ef9a417-02e9-4d39-ad75-9611e0fcc33c" }
  }
}
```

An unknown webhook or event id returns `404 not_found`.
